## org.sqlite
Class ExtendedCommand.BackupCommand

    java.lang.Object
      org.sqlite.ExtendedCommand.BackupCommand

All Implemented Interfaces:
  ExtendedCommand.SQLExtension

Enclosing class:
  ExtendedCommand

    public static class ExtendedCommand.BackupCommand

extends Object
implements ExtendedCommand.SQLExtension

Field Summary
`String` `destFile`
`String` `srcDB`

Constructor Summary
`ExtendedCommand.BackupCommand(String srcDB, String destFile)`

Method Summary
`void` `execute(org.sqlite.DB db)`
`static ExtendedCommand.BackupCommand` `parse(String sql)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### srcDB

    public final String srcDB

### destFile

    public final String destFile

Constructor Detail

### ExtendedCommand.BackupCommand

    public ExtendedCommand.BackupCommand(String srcDB,
                                         String destFile)

Method Detail

### parse

    public static ExtendedCommand.BackupCommand parse(String sql)
                                               throws SQLException

  Throws:
    `SQLException`

### execute

    public void execute(org.sqlite.DB db)
                 throws SQLException

  Specified by:
    `execute` in interface `ExtendedCommand.SQLExtension`
  Throws:
    `SQLException`

This work is licensed under a Creative Commons Attribution-ShareAlike 2.1 Japan License.